LVPN-INSTALL(1)

NAME

Installs or synchronizes a node on the system.

SYNOPSIS

lvpn install [-hvdn] local-node

OPTIONS

-h  This message

-v  Verbose mode

-r  Remove extra files, pristine copy of nodos/local-node. It was -d but this flag is now reserved for debugging.

-n  Dry-run, use it with -v.

DESCRIPTION

Syncs nodos/local-node to /etc/tinc/lvpn.

It's required to run it after any change on the config.

Also, it configures the system to run the VPN after reboot, and if NetworkManager is used, automatic reconnection after a succesful connection.

If the package providing nss-mdns is installed, edits /etc/nsswitch.conf so it can solve .local addresses.

SEE ALSO

rsync(1)

AUTHORS
Nicolás Reynolds <fauno@endefensadelsl.org>.